Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor
Class DIDLParser

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.DIDLParser

    public class DIDLParser

extends java.lang.Object

Field Summary
`static java.lang.String` | `DIDL_XSD_RESOURCE`
`protected javax.xml.validation.Schema` | `didlSchema`
`protected boolean` | `generateFormatted`
`protected boolean` | `generateFragment`
`protected javax.xml.bind.JAXBContext` | `jaxbContext`
`protected javax.xml.validation.SchemaFactory` | `schemaFactory`
`protected boolean` | `validating`

Constructor Summary
`DIDLParser()`
`DIDLParser(boolean validating)`
`DIDLParser(boolean validating, boolean generateFragment, boolean generateFormatted)`

Method Summary
`javax.xml.bind.Marshaller` | `createMarshaller()`
`javax.xml.bind.Unmarshaller` | `createUnmarshaller()`
`void` | `debugXML(java.lang.String s)`
`void` | `debugXML(java.io.StringWriter writer)`
`static
`<C> java.util.List<C>`
` | `getChildren(Container container, java.lang.Class<C> type)`
`static
`<C> java.util.List<C>`
` | `getChildren(DIDLLite didl, java.lang.Class<C> type)`
`static
`<C> java.util.List<C>`
` | `getChildren(Item item, java.lang.Class<C> type)`
`javax.xml.validation.Schema` | `getDidlSchema()`
`static
`<C> C`
` | `getFirstChild(Container container, java.lang.Class<C> type)`
`static
`<C> C`
` | `getFirstChild(DIDLLite didl, java.lang.Class<C> type)`
`static
`<C> C`
` | `getFirstChild(Item item, java.lang.Class<C> type)`
`javax.xml.bind.JAXBContext` | `getJaxbContext()`
`javax.xml.validation.SchemaFactory` | `getSchemaFactory()`
`static boolean` | `hasContainers(Container container)`
`static boolean` | `hasContainers(DIDLLite didl)`
`static boolean` | `hasDescriptors(Container container)`
`static boolean` | `hasDescriptors(DIDLLite didl)`
`static boolean` | `hasItems(Container container)`
`static boolean` | `hasItems(DIDLLite didl)`
`static boolean` | `hasResources(Container container)`
`boolean` | `isGenerateFormatted()`
`boolean` | `isGenerateFragment()`
`boolean` | `isValidating()`
`DIDLLite` | `read(java.lang.String xml)`
`DIDLLite` | `readResource(java.lang.String resource)`
`DIDLLite` | `readWriter(java.io.StringWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIDL_XSD_RESOURCE

    public static final java.lang.String DIDL_XSD_RESOURCE

See Also:
  Constant Field Values

### jaxbContext

    protected final javax.xml.bind.JAXBContext jaxbContext

### schemaFactory

    protected final javax.xml.validation.SchemaFactory schemaFactory

### didlSchema

    protected final javax.xml.validation.Schema didlSchema

### validating

    protected boolean validating

### generateFragment

    protected boolean generateFragment

### generateFormatted

    protected boolean generateFormatted

Constructor Detail

### DIDLParser

    public DIDLParser()

### DIDLParser

    public DIDLParser(boolean validating)

### DIDLParser

    public DIDLParser(boolean validating,
                      boolean generateFragment,
                      boolean generateFormatted)

Method Detail

### getJaxbContext

    public javax.xml.bind.JAXBContext getJaxbContext()

### getSchemaFactory

    public javax.xml.validation.SchemaFactory getSchemaFactory()

### getDidlSchema

    public javax.xml.validation.Schema getDidlSchema()

### isValidating

    public boolean isValidating()

### isGenerateFragment

    public boolean isGenerateFragment()

### isGenerateFormatted

    public boolean isGenerateFormatted()

### createMarshaller

    public javax.xml.bind.Marshaller createMarshaller()
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createUnmarshaller

    public javax.xml.bind.Unmarshaller createUnmarshaller()
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readResource

    public DIDLLite readResource(java.lang.String resource)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### readWriter

    public DIDLLite readWriter(java.io.StringWriter writer)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    public DIDLLite read(java.lang.String xml)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### debugXML

    public void debugXML(java.io.StringWriter writer)

### debugXML

    public void debugXML(java.lang.String s)

### hasContainers

    public static boolean hasContainers(DIDLLite didl)

### hasItems

    public static boolean hasItems(DIDLLite didl)

### hasDescriptors

    public static boolean hasDescriptors(DIDLLite didl)

### hasContainers

    public static boolean hasContainers(Container container)

### hasItems

    public static boolean hasItems(Container container)

### hasDescriptors

    public static boolean hasDescriptors(Container container)

### hasResources

    public static boolean hasResources(Container container)

### getChildren

    public static <C> java.util.List<C> getChildren(DIDLLite didl,
                                                    java.lang.Class<C> type)

### getChildren

    public static <C> java.util.List<C> getChildren(Container container,
                                                    java.lang.Class<C> type)

### getChildren

    public static <C> java.util.List<C> getChildren(Item item,
                                                    java.lang.Class<C> type)

### getFirstChild

    public static <C> C getFirstChild(DIDLLite didl,
                                      java.lang.Class<C> type)

### getFirstChild

    public static <C> C getFirstChild(Container container,
                                      java.lang.Class<C> type)

### getFirstChild

    public static <C> C getFirstChild(Item item,
                                      java.lang.Class<C> type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.